package formules;import fr.ifremer.isisfish.entities.*;import org.codelutin.math.matrix.*;import fr.ifremer.isisfish.types.Date;import fr.ifremer.isisfish.types.Month;import fr.ifremer.isisfish.types.RangeOfValues;import fr.ifremer.isisfish.types.TimeUnit;import java.util.*;public class fr_ifremer_isisfish_entities_Equation_1212053153481_0_8025150857411677 implements fr.ifremer.isisfish.equation.SelectivityEquation {public double compute(fr.ifremer.isisfish.simulator.SimulationContext context, fr.ifremer.isisfish.entities.Population pop, fr.ifremer.isisfish.entities.PopulationGroup group, fr.ifremer.isisfish.entities.Metier metier) throws Exception {if (group.getId() == 1) return  0.12;
else if (group.getId()==2) return 0.42;
else if (group.getId()==3) return 0.84;
else if (group.getId()==4) return 1.00;
else if (group.getId()==5) return 0.99;
else if (group.getId()==6) return 0.97;
else if (group.getId()==7) return 0.93;
else if (group.getId()==8) return 0.89;
else if (group.getId()==9) return 0.83;
else if (group.getId()==10) return 0.77;
else if (group.getId()==11) return 0.70;
else if (group.getId()==12) return 0.63;
else if (group.getId()==13) return 0.56;
else if (group.getId()==14) return 0.49;
else if (group.getId()==15) return 0.42;
else if (group.getId()==16) return 0.36;
else if (group.getId()==17) return 0.30;
return 0;

}
}
